# Magento2 Module - Montonio_HirePurchase

    montonio/module-hire-purchase

https://montonio.com/ payment gateway extension for Magento 2

## Installation

#### With Composer from artifact (local filesystem) repository

    composer config repositories.montonio artifact /ARTIFACT/FOLDER/PATH
    composer require "montonio/module-hire-purchase";
    php bin/magento module:enable Montonio_Hirepurchase;
    php bin/magento setup:upgrade;
    php bin/magento setup:di:compile; #only needed in default or production mode
    php bin/magento cache:flush;

#### With Composer from marketplace or any other composer channel

    composer require "montonio/module-hire-purchase";
    php bin/magento module:enable Montonio_Hirepurchase;
    php bin/magento setup:upgrade;
    php bin/magento setup:di:compile; #only needed in default or production mode
    php bin/magento cache:flush;

#### From Zip file

    mkdir -p app/code/Montonio/Hirepurchase
    #extract package to that folder
    php bin/magento module:enable Montonio_Hirepurchase;
    php bin/magento setup:upgrade;
    php bin/magento setup:di:compile; #only needed in default or production mode
    php bin/magento cache:flush;
    #you also need the JWT dependency package
    composer require "firebase/php-jwt";

## Removal

#### With Composer

    php bin/magento module:disable Montonio_Hirepurchase
    composer remove "montonio/module-hire-purchase";
    php bin/magento setup:upgrade;
    php bin/magento setup:di:compile; #only needed in default or production mode
    php bin/magento cache:flush;

#### From app/code

    php bin/magento module:disable Montonio_Hirepurchase
    rm -rf app/code/Montonio/Hirepurchase
    php bin/magento setup:upgrade;
    php bin/magento setup:di:compile; #only needed in default or production mode
    php bin/magento cache:flush;
    #you also need to remove the JWT dependency package
    composer remove "firebase/php-jwt";

